var.xyz {bio3d} | R Documentation

## Pairwise Distance Variance in Cartesian Coordinates

### Description

Calculate the variance of all pairwise distances in an ensemble of Cartesian coordinates.

### Usage

    var.xyz(xyz, weights=TRUE)
    var.pdbs(pdbs, ...)

### Arguments

`xyz` | an object of class `"xyz"` containing Cartesian coordinates in a matrix.
`weights` | logical, if TRUE weights are calculated based on the pairwise distance variance.
`pdbs` | a ‘pdbs’ object as object from function `pdbaln`.
`...` | arguments passed to associated functions.

### Details

This function calculates the variance of all pairwise distances in an ensemble of Cartesian coordinates. The primary use of this function is to calculate weights to scale the pair force constant for NMA.

### Value

Returns the a matrix of the pairwise distance variance, formated as weights if ‘weights=TRUE’.

### Author(s)

Lars Skjaerven

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`nma.pdbs`

[Package bio3d version 2.3-4 Index]